// ============================================================================
// Project:	Deductive Database
// Filename:	min.h
// Purpose:	Macros for the min- and max-functions.
// Last Change:	31.10.2016
// Language:	C++
// EMail:	brass@informatik.uni-halle.de
// WWW:		http://www.informatik.uni-halle.de/~brass/
// Address:	Feldschloesschen 15, D-06120 Halle (Saale), GERMANY
// Copyright:	(c) 2015-2016 by Stefan Brass
// License:	See file "LICENSE" for copying conditions.
// Note:	There is no warranty at all - this code may contain bugs.
// ============================================================================


/**
 * \file  min.h
 * \brief An include file with minimum and maximum functions (as macros).
 */


//=============================================================================
// Include File Frame:
//=============================================================================

#ifndef	MIN_INCLUDED
#define MIN_INCLUDED


//=============================================================================
// Used Types and Macros:
//=============================================================================

#ifndef VER_INCLUDED
#include "ver.h"
#endif

#ifndef CHECK_INCLUDED
#include "check.h"
#endif


//=============================================================================
// Defined Types and Macros:
//=============================================================================

//-----------------------------------------------------------------------------
// Minium:
//-----------------------------------------------------------------------------

/**
 * \def   MIN(X, Y)
 * \brief Minimum of \a X and \a Y.
 */

#define MIN(X,Y)	(((X)<=(Y))?(X):(Y))

//-----------------------------------------------------------------------------
// Maximum:
//-----------------------------------------------------------------------------

/**
 * \def   MAX(X, Y)
 * \brief Maximum of \a X and \a Y.
 */

#define MAX(X,Y)	(((X)>=(Y))?(X):(Y))


//=============================================================================
// End of Include File:
//=============================================================================

#endif

